    Modify New User Template

    Enlighten supports the concept of user account templates. You can
    use these templates to facilitate the creation of new user accounts.

    Each template specifies the defaults Enlighten will use when it adds
    a new user to the system. If you leave a field blank when you're
    adding a new user account, Enlighten will substitute the default
    parameters set-up for that field.


    Fields

    The window has the following fields:

    Template Name

    This read-only field specifies the template's name. 

    Description

    Use this field to briefly describe this template's purpose. This is
    used by other commands, such as Session Preferences and Adding
    Users, when you want a pop-up list of available templates displayed.

    Login Name Macro

    Use this field to specify a macro for the user name. 
    See USER ACCOUNT MACROS below for a detailed explanation of how
    to use macros.

    Home directory

    The Home directory field specifies where the user's start-up
    directory is attached. Most systems will use /usr or /home as the
    default parent directory. Each user will have their own directory
    created under the default home directory, e.g. /usr/charlie.
    Enlighten stores /usr as the default HOME directory unless you
    change this field. If the default Home Directory is /eng, and the
    login name of the new user account is fred, the name of the HOME
    directory Enlighten generates would be:

        /eng/fred

    You can also use macros in this field. 
    See USER ACCOUNT MACROS below for a detailed explanation of how
    to use macros.

    Startup Shell

    The Shell is a program that acts as a translator between the user
    and the UNIX operating system. There may be several standard shells
    on a system, including the C Shell, the Bourne Shell, the Korn Shell
    and the restricted Bourne, C and Korn Shells. Each shell has its own
    start-up executable program as shown below.

        Bourne Shell /bin/sh

        Restricted Bourne Shell /bin/rsh

        C Shell /bin/csh

        Korn Shell /bin/ksh

        Restricted Korn Shell /bin/rksh

        Other user defined

    Enlighten uses the Bourne shell as the default shell in this field
    (/bin/sh). The number of standard shells available for this field
    depends on your system. Click on the arrow button to display a pick
    list of available shells.

    Primary Group Name

    Every user account must be assigned to at least one User Group. The
    User Group is part of the UNIX security system; each user group has
    specific read, write, and execute privileges associated with every
    file created on the system.

    Enter the Primary Group Name for this template. You can also click
    on the arrow button for a pick list of defined User Groups and make
    your selection from there. If you enter a Primary Group Name which
    does not exist, Enlighten will prompt for a correct Group Name when
    it tries to create the user.

    Additional Groups

    You can use this field to put the user in additional user groups.
    This will effectively give the user more group privileges beyond
    those set in the primary user group. Enter the names of the user
    groups to which the user should also belong. If you are using
    multiple entries, leave a blank between each entry.

    You can also click on the arrow button for a pick list of defined
    User Groups. Select the User Groups and click on the Apply button to
    import them.

    UID Range from ... to

    You can use these fields to define a UID range for the template.
    This range is used if you set the next field to have a UID
    automatically generated for the user.

    Automatically generate unique UID if it's missing

    Each user account created must have a UserID number. Use this toggle
    to choose whether a unique UID is generated for a new user if you
    don't specify one during creation of the new user account. The
    default is not to (No).

    Default Password

    The password is part of the UNIX security system. Each user must
    have a password. If you make the password the same as the user
    login, the user can then reset the password to one of his or her own
    choice. Don't use passwords such as spouse names, pet names, or
    addresses, they are easy for another user to guess.

    You can also use macros in this field. 
    See USER ACCOUNT MACROS below for a detailed explanation of how
    to use macros.

    Note: If the entry in the password field is not long enough, an
    error message will be displayed when you try to add this user
    account.

    Password Expiry

    For systems that support password aging, this optional field
    contains the time when the password will expire. Once a password has
    expired, the system will force the user to change their password the
    next time they login to the system.

    If this field is left blank, the appropriate default parameter will
    be used. If no default is set in the User Add window (when you're
    adding a user), password aging will be turned off for that user. 

    See TIME FORMATS below for a description of supported time formats.

    Password Life Span

    In conjunction with the previous field, this field defines the
    minimum period of time which needs to elapse before the user can
    change his or her password. 

    See TIME FORMATS below for a description of supported time formats.

    Note: You can change the user's password at any time by using the
    Password button in the User Configuration window. 

    Minimum Password Length

    Each user account has a password associated with it. This password
    is defined when the user account is created and may be changed any
    time thereafter. This field accepts a numeric entry defining the
    minimum length that the (new) password must be whenever the password
    is created or modified. You can also use the counter buttons on the
    right to increment or decrement the number shown.

    Note: If you set this value to zero, the user does not need to use a
    password when logging into the system. The user will still be asked
    by the system to enter a password, however. The user can then log in
    by hitting the <return> key.

    Require user to have a password

    It may be necessary sometimes for a user to have no password. By
    default, Enlighten forces each user to have a password. To configure
    user accounts with no password, set this toggle to No.

    Mail Alias

    This field specifies the default mail alias the account will use. An
    alias designates a short name as the substitute for the full
    pathname for a particular user or group, e.g., laura for
    laura_lombardo@desk.com.

    You can also use macros in this field. 
    See USER ACCOUNT MACROS below for a detailed explanation of how
    to use macros.

    Mail Lists

    This field specifies which mailing lists will be updated to include
    this user account. A mail list defines a group of people under one
    alias, so sending mail to that alias will distribute a copy everyone
    on that list. If you are using multiple entries, leave a blank
    between each entry. You can also click on the arrow button for a
    pick list of defined Mail Lists and make your selection(s) from
    there.

    Buttons

    The Modify New User Template window has the following buttons:

    Modify

    Once you've specified all the changes to the new user template,
    click on this button to save it. Then you can access this template
    when you are setting your session preferences or adding users.

    Clear Fields

    Click on this button to clear the existing choices in all fields.

    Next
   
    You can use the Next button to modify additional templates if 
    you've selected more than one to modify from the template list.

    Cancel

    Click on this button to close the window without making any changes.


    TIME FORMATS

    There are several fields throughout the Enlighten product where you
    can specify a date/time format. For each of these fields, you can
    specify the date and/or time period in two ways: absolutely or
    relatively.

    The first is as a static period, where the period entered is the
    absolute period used in the search. This is the only way to search
    for a combined date/time format. To look for a file created since
    May 10, 1996 at 12 noon, you could use the entry: May 10 96 at
    12:00.

    The second is a relative period, where the period entered is set
    against the current system clock time and then applied during the
    search. This is strictly a time OR date format, e.g., 2 seconds or 1
    month. To find users who have been logged in during the last three
    days, you could use the entry: 3 days.

    Either way, the format is case-insensitive. For example, you could
    use JAN, Jan, or jan as the abbreviation for the month of January.
    This appendix shows all the BNF time measurements in initial caps
    (e.g., Jan or January, 2 Sec or 2 Seconds, etc.).

    Some typical uses of the static format in a Date search field are:

    Absolute: 15 1996 (defaults to the current month)

        Jan 1 97
        July 4 (defaults to the current year)

    Some additional uses of the absolute format in a Time search field
    are:

        June 15 at 3 PM (defaults to the current year)
        June 16 at 2AM (defaults to the current year)
        June 17 96 at 15:31
        18 at 9:31:14 AM (defaults to current month AND year)

    Some typical uses of the relative format in a Date search field are:

        Relative: 1 second

        5 Min
        1 day
        2 weeks
        1 Year

    The rest of this appendix defines the time formats you can use
    whenever you fill in a date and/or time field.



    USER ACCOUNT MACROS

    You can use macros to help initialize the form fields when you
    create a User Account. 

    The following types of fields accept macros:

    + Login Name
    + Home dir.
    + Password
    + Mail Alias

    Format

    A macro has the following format:

        %<Modifiers><Macro Name>

    Modifiers

    <Modifiers> are optional (you can define them multiple times). You
    can use the <Modifiers> to specify only specific parts of the field,
    such as the first letter of the field, or to manipulate and convert
    the given input.

    A modifier has the following format:


    [<Converter><Range>]

    where <Converter> is one or more of the following characters:

        l - Convert the resulting string to lower case
        L - Same as `l'
        u - Convert the resulting string to upper case
        U - Same as `u'
        s - Do not include SPACEs
        S - Same as `s'
        _ - Replace SPACEs with underscores (_)

    and the <Range> applies to the complete string in the field (by
    default). Or you can apply a range to a specific word in the input
    string.

    Consequently, a <Range> has the following format:

        $<word number><Character Range>

    where <word number> shows the word's sequence in the string (this is
    optional). The first word would be addressed as $1, the second word
    as $2, and so on. You can also use $0 to address the first word.

    <Character Range> is a comma separated list of character ranges in
    the form. If you specify a <word number>, you must first use a comma
    (`,') in the range list.

    The character range itself has the following format:

        <start char>-<end char>

    where <start char> and <end char> are character numbers. You can
    omit one end of the range to signify the "start of string" and "end
    of string" respectively. Ranges which go beyond the end of the
    string are truncated to match the string.

    Macro Name

    <Macro Name> is one of the following characters:

        g - replace with the users' GID
        u - replace with the users' UID
        G - replace with the users' group name
        U - replace with the users' login name (username)
        R - replace with data from the users' Real Name field
        O - replace with date from the users' Office field
        T - replace with date from the users' Telephone field

    Examples

    These definitions make more sense when they are viewed as examples.
    Assume for the following example, the following data is true:

        Real Name: Thomas Kraus
        Login Name: tmk
        UID: 302

    You could then define the following macros and see the following
    substitutions.

        Field Name   Macro               Value
        -------------------------------------------
        Home Dir     /home/%U           /home/tmk
        Password     %U-%u              tmk-302
        Mail Alias   %[u$1]R_%[u$2]R    THOMAS_KRAUS
        Login Name   %[l$1,1][l$2,-6]   tkraus

    Some explanations:

    /home/%U Create the directory /home/<login name>

    %U-%u Get the User name and add the UID (separated by a dash)

    %[u$1]R_%[u$2]R Get the first word of the users' real name and add
    the second word of the user's real name (separated by an
    underscore). Convert both strings to upper case.

    %[l$1,1][l$3,-6]R Take the first letter of the users first name and
    the first six letters of the users' last name. Convert both strings
    to lower case.
